<?php

/**
 * @file
 * Semantic UI theme implementation to present a user's account picture.
 *
 * Available variables:
 * - $user_picture: Image set by the user or the site's default. Will be linked
 *   depending on the viewer's permission to view the user's profile page.
 * - $account: Array of account information. Potentially unsafe. Be sure to
 *   check_plain() before use.
 *
 * @see template_preprocess_user_picture()
 *
 * @ingroup themeable
 */
?>
<?php
$classes = 'ui rounded image user-picture';
if (isset($account->type) && $account->type == 'forum') {
  $classes = '';
}
?>
<?php if ($user_picture): ?>
  <div class="<?php print $classes; ?>">
    <?php print $user_picture; ?>
  </div>
<?php endif; ?>
