<?php

/**
 * @file
 * Provides theme settings for Semantic based themes.
 */

/**
 * Implements hook_form_FORM_ID_alter().
 */
function semanticui_form_system_theme_settings_alter(&$form, &$form_state) {
  $theme = !empty($form_state['build_info']['args'][0]) ? $form_state['build_info']['args'][0] : NULL;
  $form['semanticui'] = array(
    '#prefix' => '<h2 class="ui dividing header">' . t('Semantic UI Settings') . '</h2>',
  );

  $form['semanticui']['semanticui_breadcrumb'] = array(
    '#type' => 'checkbox',
    '#title' => t('Enable breadcrumbs'),
    '#default_value' => theme_get_setting('semanticui_breadcrumb', $theme),
  );
  $form['semanticui']['semanticui_popup_description'] = array(
    '#type' => 'checkbox',
    '#title' => t('Enable form fields popup descriptions'),
    '#default_value' => theme_get_setting('semanticui_popup_description', $theme),
  );
  $form['semanticui']['semanticui_fixed_navbar'] = array(
    '#type' => 'checkbox',
    '#title' => t('Enable fixed navigation bar'),
    '#default_value' => theme_get_setting('semanticui_fixed_navbar', $theme),
  );
  $form['semanticui']['semanticui_error_popups'] = array(
    '#type' => 'checkbox',
    '#title' => t('Enable form field error popups'),
    '#default_value' => theme_get_setting('semanticui_error_popups', $theme),
  );
  $form['semanticui']['semanticui_floating_labels'] = array(
    '#type' => 'checkbox',
    '#title' => t('Enable text field floating labels'),
    '#default_value' => theme_get_setting('semanticui_floating_labels', $theme),
  );
  $form['semanticui']['semanticui_enlarge_touchable_font'] = array(
    '#type' => 'checkbox',
    '#title' => t('Enlarge font size on touch devices'),
    '#default_value' => theme_get_setting('semanticui_enlarge_touchable_font', $theme),
  );
}
